# TODO
# - system locale dir
%define		status		stable
%define		pearname	Horde_Perms
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde Permissions System
Name:		php-horde-Horde_Perms
Version:	1.0.7
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	858d9ffe0fd1c71eedff31c4cbaee704
URL:		https://github.com/horde/horde/tree/master/framework/Perms/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Db < 2.0.0
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-horde-Horde_Group < 2.0.0
Requires:	php-horde-Horde_Translation < 2.0.0
Requires:	php-horde-Horde_Util < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
Suggests:	php-horde-Horde_DataTree
Suggests:	php-horde-Horde_Tree
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	 pear(Horde/DataTree.*) pear(Horde/Tree.*)

%description
The Perms package provides an interface to the Horde permissions
system.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc optional-packages.txt
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Perms.php
%{php_pear_dir}/Horde/Perms
%{php_pear_dir}/data/Horde_Perms
%changelog
* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> 382f985
- updated to: 1.0.7

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> 2de8826
- updated to: 1.0.6

* Thu Nov 03 2011 Elan Ruusamäe <glen@pld-linux.org> f54685d
- updated to: 1.0.5

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> c9ea045
- updated to: 1.0.3

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> e74237d
- updated to: 1.0.1

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> 7cf1c1c
- use github url to package, as pear url is not specific

* Mon Apr 11 2011 Elan Ruusamäe <glen@pld-linux.org> 014a145
- Horde dir dep

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> f0d6eb9
- horde h4 pear packages

